AWSTemplateFormatVersion: '2010-09-09'
Transform: AWS::Serverless-2016-10-31
Description: AWS Serverless Quarkus HTTP - it.argosoft.amt::lambda-http
Globals:
  Api:
    EndpointConfiguration: REGIONAL
    BinaryMediaTypes:
      - "*/*"

Resources:
  LambdaHttpFunction:
    Type: AWS::Serverless::Function
    Properties:
      Handler: io.quarkus.amazon.lambda.runtime.QuarkusStreamHandler::handleRequest
      Runtime: java17
      CodeUri: target/function.zip
      MemorySize: 2048
      Policies: AWSLambdaBasicExecutionRole
      Timeout: 15
      Environment:
        Variables:
          DISABLE_SIGNAL_HANDLERS: true
          AWS_SDK_LOAD_CONFIG: 1
          AWS_PROFILE: sviluppo
          QUARKUS_PROFILE: local
          OAUTH_CLIENT_ID: 99b47306-010f-418d-9f98-c4da83ce9e67
          OAUTH_CLIENT_SECRET: 1162QUQQivqXm61G00JhzRd2J5
      Events:
        GetResource:
          Type: Api
          Properties:
            Path: /{proxy+}
            Method: any

Outputs:
  LambdaHttpApi:
    Description: URL for application
    Value: !Sub 'https://${ServerlessRestApi}.execute-api.${AWS::Region}.amazonaws.com/Prod/'
    Export:
      Name: LambdaHttpApi